Page MenuHomePhabricator

Implement "links-in-logs" user script in MediaWiki itself
Closed, ResolvedPublic

Description

https://en.wikipedia.org/wiki/User:Enterprisey/links-in-logs

Just like permalinks in history but for logs.

Event Timeline

Legoktm created this task.Oct 20 2018, 6:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 20 2018, 6:08 PM
JJMC89 added a subscriber: JJMC89.Nov 19 2018, 12:58 AM

I think I could do this, if there are no objections to the task:
In LogEventsList::logLine, the timestamp is currently defined with $time = htmlspecialchars( $this->getLanguage()->userTimeAndDate( $entry->getTimestamp(), $this->getUser() ) );
Rather than simply displaying as plain text, it would be a link to 'Special:Redirect/logid/' . $entry->getId()
Potentially with a class (mw-logline-loglink?)

Change 640761 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Implement links-in-logs script, linking LogEventsList rows to log entries

https://gerrit.wikimedia.org/r/640761

Restricted Application added a project: User-DannyS712. · View Herald TranscriptNov 13 2020, 8:54 PM
DannyS712 added a project: User-notice.

Seeing no objections, patch sent

DannyS712 triaged this task as Medium priority.Nov 13 2020, 8:59 PM
DannyS712 moved this task from To Triage to Not ready to announce on the User-notice board.

Change 640761 merged by jenkins-bot:
[mediawiki/core@master] Implement links-in-logs script, linking LogEventsList rows to log entries

https://gerrit.wikimedia.org/r/640761

Johan added a subscriber: Johan.Nov 16 2020, 8:22 AM

@DannyS712 So like this for Tech News?

Timestamps in Special:Log are now links. They go to the page for that entry. This is how timestamps works for example on the history page.
DannyS712 added a comment.EditedNov 16 2020, 9:15 AM

@DannyS712 So like this for Tech News?

Timestamps in Special:Log are now links. They go to the page for that entry. This is how timestamps works for example on the history page.

I would suggest (based on the description in Enterprisey's script, credits to Enterprisey/ @APerson)

Timestamps in Special:Log are now links. They go to Special:Log for only that entry, by using the log entry id in the url. This is how timestamps works for example on the history page.

since "the page for that entry" could also refer to the target title associated with that log entry

Sounds good to me, too. (And thanks DannyS712 for the patch!)

Jdforrester-WMF closed this task as Resolved.Nov 18 2020, 5:24 PM
Waddie96 rescinded a token.
Waddie96 awarded a token.
dmehus added a subscriber: dmehus.